export interface PtRoomVO {
  /**
   * 房间Id,主键
   */
  roomId: string | number;

  /**
   * 所属区域id
   */
  areaId: string | number;

  /**
   * 房间编码
   */
  roomCode: string;

  /**
   * 房间名称
   */
  roomName: string;

  /**
   * 房间类型,见FJLX字典类型
   */
  roomType: string;

  /**
   * 门牌号1
   */
  codeOne: string;

  /**
   * 门牌号2
   */
  codeTwo: string;

  /**
   * 门牌号3
   */
  codeThree: string;

  /**
   * 门牌号4
   */
  codeFour: string;

  /**
   * 门牌号5
   */
  codeFive: string;
}

export interface PtRoomForm extends BaseEntity {
  /**
   * 房间Id,主键
   */
  roomId?: string | number;

  /**
   * 所属区域id
   */
  areaId?: string | number;

  areaName?: string;

  /**
   * 房间编码
   */
  roomCode?: string;

  /**
   * 房间名称
   */
  roomName?: string;

  /**
   * 房间类型,见FJLX字典类型
   */
  roomType?: string;

  /**
   * 门牌号1
   */
  codeOne?: string;

  /**
   * 门牌号2
   */
  codeTwo?: string;

  /**
   * 门牌号3
   */
  codeThree?: string;

  /**
   * 门牌号4
   */
  codeFour?: string;

  /**
   * 门牌号5
   */
  codeFive?: string;

  /**
   * 备注
   */
  remark?: string;
}

export interface PtRoomQuery extends PageQuery {
  /**
   * 所属区域id
   */
  areaId?: string | number;

  /**
   * 房间编码
   */
  roomCode?: string;

  /**
   * 房间名称
   */
  roomName?: string;

  /**
   * 房间类型,见FJLX字典类型
   */
  roomType?: string;

  /**
   * 门牌号1
   */
  codeOne?: string;

  /**
   * 门牌号2
   */
  codeTwo?: string;

  /**
   * 门牌号3
   */
  codeThree?: string;

  /**
   * 门牌号4
   */
  codeFour?: string;

  /**
   * 门牌号5
   */
  codeFive?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}

export interface PtRoomBatchVo {
  /**
   * 房间Id,主键
   */
  roomIds: Array<string | number>;

  /**
   * 所属区域id
   */
  roomType: string;
}
