export interface PtCardVO {
  /**
   * 卡片Id,主键
   */
  cardId: string | number;

  /**
   * 所属账户Id
   */
  userId: string | number;

  /**
   * 卡流水号
   */
  cardNo: number;

  /**
   * 卡片类型
   */
  cardType: number;

  /**
   * 卡片有效期
   */
  lifespan: string;

  /**
   * 物理卡号
   */
  factoryId: string | number;

  /**
   * 是否主卡,见sys_yes_no字典类别
   */
  mainCard: string;

  /**
   * 卡片状态，见KZT字典类别
   */
  status: string;

  /**
   * 卡状态变更时间
   */
  changeTime: string;

  /**
   * 当日消费金额
   */
  dayTotal: number;

  /**
   * 当日消费次数
   */
  dayCount: number;

  /**
   * 当餐交易金额
   */
  mealTotal: number;

  /**
   * 当餐消费次数
   */
  mealCount: number;

  /**
   * 最后交易时间
   */
  lastPay: string;

  /**
   * 最后交易餐类，对应营业时段的编号
   */
  lastMeal: number;

  /**
   * 卡牌类型
   */
  cardTypeName: string;

}

export interface PtCardForm extends BaseEntity {
  /**
   * 卡片Id,主键
   */
  cardId?: string | number;

  /**
   * 所属账户Id
   */
  userId?: string | number;

  /**
   * 卡流水号
   */
  cardNo?: number;

  /**
   * 卡片类型
   */
  cardType?: number;

  /**
   * 卡片有效期
   */
  lifespan?: string;

  /**
   * 物理卡号
   */
  factoryId?: string | number;

  /**
   * 是否主卡,见sys_yes_no字典类别
   */
  mainCard?: string;

  /**
   * 卡片状态，见KZT字典类别
   */
  status?: string;

  /**
   * 卡状态变更时间
   */
  changeTime?: string;

  /**
   * 当日消费金额
   */
  dayTotal?: number;

  /**
   * 当日消费次数
   */
  dayCount?: number;

  /**
   * 当餐交易金额
   */
  mealTotal?: number;

  /**
   * 当餐消费次数
   */
  mealCount?: number;

  /**
   * 最后交易时间
   */
  lastPay?: string;

  /**
   * 最后交易餐类，对应营业时段的编号
   */
  lastMeal?: number;

}

export interface PtCardQuery extends PageQuery {

  /**
   * 所属账户Id
   */
  userId?: string | number;

  /**
   * 卡流水号
   */
  cardNo?: number;

  /**
   * 卡片类型
   */
  cardType?: number;

  /**
   * 卡片有效期
   */
  lifespan?: string;

  /**
   * 物理卡号
   */
  factoryId?: string | number;

  /**
   * 是否主卡,见sys_yes_no字典类别
   */
  mainCard?: string;

  /**
   * 卡片状态，见KZT字典类别
   */
  status?: string;

  /**
   * 卡状态变更时间
   */
  changeTime?: string;

  /**
   * 当日消费金额
   */
  dayTotal?: number;

  /**
   * 当日消费次数
   */
  dayCount?: number;

  /**
   * 当餐交易金额
   */
  mealTotal?: number;

  /**
   * 当餐消费次数
   */
  mealCount?: number;

  /**
   * 最后交易时间
   */
  lastPay?: string;

  /**
   * 最后交易餐类，对应营业时段的编号
   */
  lastMeal?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



