export interface XfDiscountVO {
  /**
   * 折扣Id,主键
   */
  discountId: string | number;

  /**
   * 卡类Id
   */
  cardType: number;

  cardTypeName: string;

  /**
   * 餐类Id
   */
  mealType: number;

  mealTypeName: string;

  /**
   * 折扣类型，默认为0
   */
  rateType: string;

  /**
   * 折扣率1
   */
  oneRate: number;

  /**
   * 折扣率2
   */
  twoRate: number;

  /**
   * 折扣率3
   */
  threeRate: number;

  /**
   * 折扣率4
   */
  fourRate: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status: string;
}

export interface XfDiscountForm extends BaseEntity {
  /**
   * 折扣Id,主键
   */
  discountId?: string | number;

  /**
   * 卡类Id
   */
  cardType?: number;

  /**
   * 餐类Id
   */
  mealType?: number;

  /**
   * 折扣类型，默认为0
   */
  rateType?: string;

  /**
   * 折扣率1
   */
  oneRate?: number;

  /**
   * 折扣率2
   */
  twoRate?: number;

  /**
   * 折扣率3
   */
  threeRate?: number;

  /**
   * 折扣率4
   */
  fourRate?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status?: string;
}

export interface XfDiscountQuery extends PageQuery {
  /**
   * 卡类Id
   */
  cardType?: number;

  /**
   * 餐类Id
   */
  mealType?: number;

  /**
   * 启用状态，0-未启用 1-启用
   */
  status?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}
